> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincept.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Adjustment Methods

> Retrieve a list of all supported business day adjustment methods. These methods define how dates that fall on non-business days should be moved to valid business days. Each method has different rules for handling month-end dates and crossing month boundaries. [Tier: FREE, Credits: 0]



## OpenAPI

````yaml api-specs/scheduling.json get /quantlib/scheduling/adjustment/methods
openapi: 3.1.0
info:
  title: FinceptQuantLib API - Scheduling
  description: Scheduling module endpoints for FinceptQuantLib API
  version: 3.0.0
  contact:
    name: Fincept API Support
    url: https://fincept.in
servers:
  - url: https://api.fincept.in
    description: Fincept API Production Server
security:
  - APIKeyHeader: []
tags:
  - name: quantlib-scheduling
    description: API endpoints for scheduling operations
paths:
  /quantlib/scheduling/adjustment/methods:
    get:
      tags:
        - quantlib-scheduling
      summary: List Adjustment Methods
      description: >-
        Retrieve a list of all supported business day adjustment methods. These
        methods define how dates that fall on non-business days should be moved
        to valid business days. Each method has different rules for handling
        month-end dates and crossing month boundaries. [Tier: FREE, Credits: 0]
      operationId: list_adjustment_methods_quantlib_scheduling_adjustment_methods_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      type: string
                    description: List of supported business day adjustment method names
                    example:
                      - Following
                      - Modified Following
                      - Preceding
                      - Modified Preceding
                      - Unadjusted
              example:
                success: true
                data:
                  - Following
                  - Modified Following
                  - Preceding
                  - Modified Preceding
                  - Unadjusted
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '402':
          $ref: '#/components/responses/InsufficientTierError'
      security:
        - APIKeyHeader: []
components:
  responses:
    UnauthorizedError:
      description: Authentication information is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: Invalid API key
    InsufficientTierError:
      description: API tier insufficient for this endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              detail:
                type: string
                example: Endpoint requires Basic tier or higher
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Get your key at
        https://api.fincept.in/auth/register

````